Subject: The variable operating-system-release

From: Glenn Morris <[email-masked]>
Date: Thu, 05 Mar 2020 20:19:31 -0500

Package: emacs
Version: 28.0.50
Severity: wishlist

I found the variable 'operating-system-release' for the first time today.

1) This isn't what I would call the operating system release.
Eg my current operating system is CentOS, release 8.1.
operating-system-release is "4.18.0-147.5.1.el8_1.x86_64",
which is the kernel version. (Surprising to find these two things
mixed up in a GNU project. :) )

2) I don't see why it is useful to have a Lisp variable for this
(it had one use in the Emacs C code before c996fe1ec6).
I suggest obsoleting it.